[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.TopLeftChanged

Signals the OnTopLeftChanged event handler (when assigned) at run-time.

## Declaration

Source position: grids.pas line 1203

`protected procedure TCustomGrid.TopLeftChanged; virtual;`

## Description

TopLeftChanged occurs when the origin for the scrollable area in the control has been changed.

TopLeftChanged is called from methods like TrySmoothScrollBy, UpdateCachedSizes, and FixPosition. It is also called when the AutoFillColumns property is set to True.